Doomsday Engine - Feature #1840

Support ZDoom-extended MAPINFO format
2014-07-17 16:54 - danij

Status: Progressed Start date: 2014-07-17
Priority: Normal % Done: 47%
Assignee:

Category: Enhancement

Target version: Modding

Description

ZDoom has extended the MAPINFO format with numerous new features and some entirely new definition types, for defining
episodes and hubs. As this new functionality is an extension to Hexen's MAPINFO format, such definitions will presently fail to parse
if it uses any of these enhancements.

Ultimately we should support most if not all of these features.

Subtasks:

Feature # 1841: Update MAPINFO parser to ignore ZDoom specific extensions Closed
Feature # 1842: Support ZDoom's episode and hub definitions in MAPINFO Progressed
Feature # 1844: Support ZDoom's skill definitions in MAPINFO New
History

#1 - 2014-07-21 08:03 - skyjake

- Tags changed from Resources, Mod to Resources, Mod, ZDoom

#2 - 2015-04-22 04:32 - danij
- Status changed from New to In Progress

- Assignee set to danij

#3 - 2016-07-05 23:57 - skyjake

- Status changed from In Progress to Progressed

#4 - 2019-11-29 12:31 - skyjake

- Target version set to Modding

#5 - 2019-11-29 23:06 - skyjake
- Assignee deleted (danij)
